<!-- Copyright 2016 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<!--
  Update required card that informs user that current chromeos version does not
  satisfy policy requirements.

  Events: none
-->
<dom-module id="update-required-card-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="update_required_card.css">

    <oobe-dialog has-buttons for-step="update-required-message" role="dialog"
        id="update-required-dialog" title-key="updateRequiredTitle"
        aria-label$="[[i18nDynamic(locale, 'updateRequiredTitle')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:enterprise" icon2x="oobe-64:enterprise">
      </hd-iron-icon>
      <div slot="subtitle">
        [[i18nDynamic(locale,'updateRequiredMessage', enterpriseDomain,
            deviceName)]]
      </div>
      <div slot="footer" class="flex layout vertical center-justified center">
        <img class="update-illustration oobe-illustration"
             srcset="images/1x/updating_1x.svg 1x,
                     images/2x/updating_2x.svg 2x">
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button inverse on-click="onUpdateClicked_"
            class="focus-on-show" text-key="updateButtonCaption">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog has-buttons for-step="update-error"
        id="update-required-error-dialog" role="dialog"
        title-key="updateRequiredTitle" subtitle-key="errorMessage"
        aria-label$="[[i18nDynamic(locale, 'updateRequiredTitle')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:enterprise" icon2x="oobe-64:enterprise">
      </hd-iron-icon>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button inverse on-click="onSelectNetworkClicked_"
            class="focus-on-show" text-key="selectNetworkButtonCaption">
        </oobe-text-button>
        <oobe-text-button inverse on-click="onUpdateClicked_"
            id="update-button" text-key="updateButtonCaption">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <checking-downloading-update id="checking-downloading-update"
        aria-label$="[[i18nDynamic(locale, 'updateScreenAccessibleTitle')]]"
        for-step="update-process, update-completed-need-reboot"
        checking-for-update="[[updateProgressUnavailable]]"
        update-completed="[[eq_(uiStep, 'update-completed-need-reboot')]]"
        progress-value="[[updateProgressValue]]"
        has-estimate="[[estimatedTimeLeftVisible]]"
        estimated-time-left="[[estimatedTimeLeft]]"
        default-progress-message="[[updateProgressMessage]]"
        checking-for-updates-key="updatingMessage"
        downloading-updates-key="updatingMessage">
    </checking-downloading-update>

    <oobe-dialog for-step="update-need-permission" has-buttons role="dialog"
        title-key="updateRequiredTitle" id="update-need-permission-dialog"
        aria-label$="[[i18nDynamic(locale, 'updateRequiredTitle')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:enterprise" icon2x="oobe-64:enterprise">
      </hd-iron-icon>
      <div slot="subtitle" class="update-subtitle">
        [[i18nDynamic(locale,'updateOverMeteredNetworkMessage',
            enterpriseDomain)]]
      </div>
      <div slot="footer" class="flex layout vertical center-justified center">
        <img class="update-illustration oobe-illustration"
            srcset="images/1x/updating_1x.svg 1x,
                    images/2x/updating_2x.svg 2x">
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button inverse on-click="onCellularPermissionAccepted_"
            class="focus-on-show" text-key="AcceptUpdateOverCellularButton"
            id="cellular-permission-accept-button">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog for-step="update-no-network" has-buttons role="dialog"
        title-key="updateRequiredTitle" id="update-required-no-network-dialog"
        aria-label$="[[i18nDynamic(locale, 'updateRequiredTitle')]]">
      <hd-iron-icon slot="oobe-icon"
        icon1x="oobe-32:enterprise" icon2x="oobe-64:enterprise">
      </hd-iron-icon>
      <div slot="subtitle" class="update-subtitle"
          id="no-network-message">
        [[i18nDynamic(locale,'noNetworkMessage', enterpriseDomain)]]
      </div>
      <div slot="footer" class="flex layout vertical center-justified center">
        <img class="update-illustration oobe-illustration"
            srcset="images/1x/updating_1x.svg 1x,
                    images/2x/updating_2x.svg 2x">
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button inverse on-click="onSelectNetworkClicked_"
            id="select-network-button" text-key="selectNetworkButtonCaption"
            class="focus-on-show">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog for-step="eol" id="eolDialog"
        role="dialog" aria-labelledby="eolTitle">
      <hd-iron-icon slot="oobe-icon" id="eolAlertIcon"
          icon1x="oobe-32:warning" icon2x="oobe-64:warning">
      </hd-iron-icon>
      <h1 id="eolTitle" slot="title">
        [[i18nDynamic(locale, 'eolTitle', deviceName)]]
      </h1>
      <div slot="subtitle">
        <div>[[i18nDynamic(locale, 'eolMessage', deviceName)]]</div>
        <div id="deleteDataMessageContainer" hidden="[[!usersDataPresent_]]">
          <span id="deleteUsersDataMessage"></span>
        </div>
        <div id="noUsersDataMessage" hidden="[[usersDataPresent_]]">
          [[i18nDynamic(locale, 'eolNoUsersDataMessage', deviceName)]]
        </div>
      </div>
      <div slot="footer" class="flex layout vertical">
        <div id="adminMessageContainer"
            hidden="[[isEmpty_(eolAdminMessage_)]]">
          <div class="bold">[[i18nDynamic(locale, 'eolAdminMessageTitle')]]
          </div>
          <div id="adminMessage">[[eolAdminMessage_]]</div>
        </div>
        <div class="flex layout vertical center-justified center">
          <!-- Use lock image indicating that end-of-life has been reached and
             the device is disabled for further use  -->
          <img class="update-illustration oobe-illustration"
          srcset="images/1x/device-disabled.svg 1x,
                  images/2x/device-disabled.svg 2x">
        </div>
      </div>
    </oobe-dialog>

    <!-- Delete users data confirmation dialog (shown when EOL reached) -->
    <oobe-modal-dialog id="confirmationDialog"
        title-key="eolDeleteUsersDataPopupTitle">
      <div slot="content">
        [[i18nDynamic(locale, 'eolDeleteUsersDataPopupMessage', deviceName)]]
      </div>
      <div slot="buttons">
        <oobe-text-button id="cancelDelete" on-click="hideConfirmationDialog_"
            text-key="eolDeleteUsersDataCancel">
        </oobe-text-button>
        <oobe-text-button inverse on-click="onDeleteUsersConfirmed_"
            id="confirmDelete" text-key="eolDeleteUsersDataConfirm">
        </oobe-text-button>
      </div>
    </oobe-modal-dialog>

  </template>
</dom-module>
